/*
 * @Author: mojunshou 1637302775@qq.com
 * @Date: 2025-03-21 11:17:22
 * @LastEditors: mojunshou 1637302775@qq.com
 * @LastEditTime: 2025-03-21 11:32:11
 * @Description: 二倍速弹窗
 */
import { _decorator } from "cc";
import { oops } from "db://oops-framework/core/Oops";
import { ecs } from "db://oops-framework/libs/ecs/ECS";
import { CCComp } from "db://oops-framework/module/common/CCComp";
import { UIID } from "../../common/config/GameUIConfig";

const { ccclass, property } = _decorator;

/** 视图层对象 */
@ccclass('DoubleSpeedViewComp')
@ecs.register('DoubleSpeedView', false)
export class DoubleSpeedViewComp extends CCComp {
    /** 视图层逻辑代码分离演示 */
    start() {
        // const entity = this.ent as ecs.Entity;         // ecs.Entity 可转为当前模块的具体实体对象
        this.setButton();
    }

    /** 视图对象通过 ecs.Entity.remove(DoubleSpeedViewComp) 删除组件是触发组件处理自定义释放逻辑 */
    reset() {
        this.node.destroy();
    }

    private btn_close() {
        oops.gui.remove(UIID.DoubleSpeed);
    }
}